Package org.apache.sysds.runtime.ooc.cache.io

# Class SpillableObjectRegistry

java.lang.Object
org.apache.sysds.runtime.ooc.cache.io.SpillableObjectRegistry

public final class SpillableObjectRegistry extends Object

## Method Summary

Modifier and Type
Method
Description
`static SpillableObject`
`read(DataInput in)`
`static boolean`
`tryWrite(DataOutput out, SpillableObject obj)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### tryWrite

public static boolean tryWrite(DataOutput out, SpillableObject obj) throws IOException

Throws:
  `IOException`

### read

public static SpillableObject read(DataInput in) throws IOException

Throws:
  `IOException`